## skimage 0.23.2

=== debian/changelog ===
skimage (0.23.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2068540, LP: #2068531). Remaining changes:
    - Use the vendored distutils in setuptools instead of trying to
    use the one from stdlib, which is no longer in Python 3.12

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 05 Jun 2024 20:22:55 -0700

skimage (0.23.2-1) unstable; urgency=medium

  * New upstream version 0.23.2. Switch back to unstable
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Apr 2024 21:40:07 +0200

skimage (0.23.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate 0.23.2~rc1
  * Switch to experimental
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 14 Apr 2024 10:42:55 +0200

skimage (0.23.1-3) unstable; urgency=medium

  * Ignore more warnings for non-x86 archs

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Apr 2024 08:16:55 +0200

skimage (0.23.1-2) unstable; urgency=medium

  * Don't turn Invalid Value in Cast warnings into errors

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Apr 2024 22:08:49 +0200

skimage (0.23.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove old extraneous dependency on python3-six

  [ Ole Streicher ]
  * New upstream version 0.23.1
  * Rediff patches
  * Don't turn deprecation warnings into errors
  * Skip test_gray_morphology: needs downloaded data
  * New build dependency python3-pytest-doctestplus

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Apr 2024 14:44:05 +0200

=== debian/control ===
Source: skimage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: cython3-legacy,
               debhelper-compat (= 13),
               dh-python,
               ninja-build,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cloudpickle,
               python3-imageio (>= 2.31.1),
               python3-lazy-loader,
               python3-matplotlib,
               python3-mesonpy,
               python3-networkx,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-pil,
               python3-plotly,
               python3-pooch,
               python3-pytest,
               python3-pytest-doctestplus,
               python3-pythran,
               python3-pywt,
               python3-recommonmark,
               python3-scipy,
               python3-seaborn,
               python3-setuptools,
               python3-tifffile,
               python3-tk,
               dh-strip-nondeterminism
Build-Depends-Indep: python3-doc,
                     python3-pydata-sphinx-theme,
                     python3-sklearn,
                     python3-sphinx,
                     python3-sphinx-copybutton,
                     python3-sphinx-design
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: https://scikit-image.org
Rules-Requires-Root: no

Package: python3-skimage
Architecture: all
Depends: python3-matplotlib,
         python3-networkx,
         python3-numpy,
         python3-pil,
         python3-scipy,
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dask,
            python3-pytest
Suggests: python-skimage-doc
Provides: ${python3:Provides}
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-bootstrap,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-skimage
Provides: ${python3:Provides}
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

## skimage 0.24.0

=== debian/changelog ===
skimage (0.24.0-2) unstable; urgency=medium

  * Ignore RuntimeWarnings in tests

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Jul 2024 08:28:19 +0200

skimage (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed
  * Ignore data type test on test_imread_handle. Closes: #1071782
  * Fix FTBFS on i386
  * Remove setuptools hotfix (Closes: #1070437, #1074654)

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Jul 2024 10:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: skimage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Ole Streicher <olebole@debian.org>
 Section: python
@@ -40,7 +39,7 @@
                      python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-design
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# See also: scikits-learn
export HOME=/tmp

# don't optimize pngs, palette changes break tests and documented examples
export NO_PNG_PKG_MANGLE := 1

PY3VER  ?= $(shell py3versions -vd)
PY3VERS ?= $(shell py3versions -vr)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# upstream relies on signed chars
export DEB_CFLAGS_MAINT_APPEND := -fsigned-char
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# Assure Agg backend for matplotlib to avoid any possible complication
export MPLBACKEND := Agg

export PYBUILD_TEST_PYTEST := 1

# Disable failures on warnings
export SKIMAGE_TEST_STRICT_WARNINGS := False

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

%-arch:
	dh $@ --with python3 --buildsystem pybuild

clean:
	dh $@ --with python3 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache build scikit_image.egg-info
	rm -f debian/build-stamp-*
	for i in $$(find -name '*.md5'); do \
		rm -f $${i%.pyx.md5}.c $${i%.pyx.md5}.cpp $$i; \
	done
	for i in $$(find -name '*.pyx.in'); do \
		rm -f $${i%.*}; \
	done
ifeq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	+$(MAKE) -C doc clean
	rm -f doc/source/_static/random.js
endif
endif

override_dh_installdocs-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# hotfix SPHINXBUILD -- remove in next release
	+\
		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
		PYTHON=python$(PY3VER) \
		SPHINXBUILD="python$(PY3VER) -m sphinx" \
		SPHINXOPTS="-D mathjax_path=MathJax.js" \
		$(MAKE) -C doc html
endif
	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.rst

# Test data and plugin ini not copied to .pybuild -- manually copy them
override_dh_auto_build:
	dh_auto_build
	for ver in $(PY3VERS); do \
		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
		cp skimage/feature/orb_descriptor_positions.txt $$i/feature/; \
		rm -rf $$i/data || true; \
		cp -av skimage/data $$i; \
		for module in $$(find skimage ! -path '*/data/*' -name tests | cut -sd / -f 2-); do \
			rm -rf $$i/$$module || true; \
			cp -av skimage/$$module $$i/$${module%/*}/; \
		done; \
	done

override_dh_auto_test-indep:
	# pass

override_dh_auto_install:
	dh_auto_install
	# cleanup python3 cache (mixing python3 subversions)
	-find debian/tmp -name "__pycache__" -exec rm -r {} +

## remove .so libraries from main package, and call dh_numpy3
override_dh_python3:
	-find debian/python3-skimage/usr/lib -name "*.so" -delete

	dh_numpy3 -ppython3-skimage-lib
	dh_python3

## immediately useable documentation and exemplar scripts/data
override_dh_compress:
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc

override_dh_sphinxdoc-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -XMathJax.js -Xclipboard.min.js
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

## skimage 0.25.1

=== debian/changelog ===
skimage (0.25.1-1) unstable; urgency=medium

  * New upstream version 0.25.1
  * Rediff patches
  * Adopt to numpy 2.2 (Closes: #1094689)
  * Ignore UserWarning for missing pyamg
  * Remove intersphinx_registry dependency
  * Adjust installed documentation files

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jan 2025 14:04:19 +0100

skimage (0.24.0-7) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Actually add patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Dec 2024 08:10:04 +0100

skimage (0.24.0-6) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * From skimage-skip-some-failure-tests-on-loong64-temporarily.patch:
    ignore some failing tests on loong64 (Closes: #1089086

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:09:26 +0100

skimage (0.24.0-5) unstable; urgency=medium

  * Team upload.
  * Remove use of python3-pydata-sphinx-theme for now.
  * Added patch to link docs to the packaged docs, not remote websites.
  * Run the autopkgtests for all supported Python versions
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * likewise use dh-sequence-sphinxdoc and simplify d/rules

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 12:40:24 +0200

skimage (0.24.0-4) unstable; urgency=medium

  * Team upload.
  * Skip failing tests on mips64el (Closes: #1076289)
  * _parse_docs: handle change to docstring indentation in Python 3.13
    (Closes: #1084732)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 11 Oct 2024 10:49:52 +0200

skimage (0.24.0-3) unstable; urgency=medium

  * Team upload
  * Update to current cython3 (Closes: #1078524)

 -- Bastian Germann <bage@debian.org>  Thu, 05 Sep 2024 12:18:25 +0200

## skimage 0.25.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    ?= -j auto
SPHINXBUILD   ?= $(PYTHON) -m sphinx
SPHINXCACHE   ?= build/doctrees
PAPER         ?=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(SPHINXCACHE) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
DEST            = build

.PHONY: all help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest gitwash release_notes

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp   to make HTML files and a Devhelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  gitwash   to update the gitwash documentation"

clean:
	-rm -rf $(DEST)
	-rm -rf api
	-rm -rf source/api
	-find ./source/auto_examples/* -type f | grep -v blank | xargs -r rm -f

api:
	@mkdir -p source/api
	$(PYTHON) tools/build_modref_templates.py
	@echo "Build API docs...done."


html: api
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(DEST)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(DEST)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(DEST)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(DEST)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(DEST)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/scikitimage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/scikitimage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(DEST)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/scikitimage"
	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/scikitimage"
	@echo "# devhelp"

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(DEST)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(DEST)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(DEST)/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(DEST)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(DEST)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gitwash:
	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
	--project-url=https://scikit-image.org \
	--project-ml-url=https://mail.python.org/mailman3/lists/scikit-image.python.org/ \
	--repo-name=scikit-image \
	--github-user=scikit-image \
	--source-suffix=.rst

=== debian/changelog ===
skimage (0.25.2-3) unstable; urgency=medium

  * Fix test to match python 3.14 (Closes: #1118742)
  * Add build-dep python3-numpy-dev
  * d/u/metadata: fix Reference keywords
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Oct 2025 21:34:31 +0200

skimage (0.25.2-2) unstable; urgency=medium

  * Team upload.
  * Skip skimage/graph/tests/test_rag.py::test_reproducibility for now due
    to flakiness in SciPy's ARPACK implementation (closes: #1103004).

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Apr 2025 11:52:01 +0100

skimage (0.25.2-1) unstable; urgency=medium

  * Copy keypoints if necessary to preserve contiguity
  * New upstream version 0.25.2
  * Remove patches that are applied upstream
  * Skip test_polynomial_weighted_estimation test that fails on Debian

 -- Ole Streicher <olebole@debian.org>  Sat, 22 Feb 2025 12:34:43 +0100

=== debian/control ===
Source: skimage
#                    python3-pydata-sphinx-theme,
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 ninja-build,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-cloudpickle,
 python3-imageio (>= 2.31.1),
 python3-lazy-loader,
 python3-matplotlib,
 python3-mesonpy,
 python3-networkx,
 python3-numpy,
 python3-numpy-dev,
 python3-numpydoc,
 python3-pandas,
 python3-pil,
 python3-plotly,
 python3-pooch,
 python3-pytest,
 python3-pytest-doctestplus,
 python3-pythran,
 python3-pywt,
 python3-recommonmark,
 python3-scipy,
 python3-seaborn,
 python3-setuptools,
 python3-tifffile,
 python3-tk,
 dh-strip-nondeterminism,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-doc,
 python-numpy-doc,
 python-scipy-doc,
 python-sklearn-doc,
 python-matplotlib-doc,
 python3-sklearn,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-design,
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: https://scikit-image.org
Rules-Requires-Root: no

Package: python3-skimage
Architecture: all
Depends:
 python3-matplotlib,
 python3-networkx,
 python3-numpy,
 python3-pil,
 python3-scipy,
 python3-skimage-lib (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-dask,
 python3-pytest,
Suggests:
 python-skimage-doc,
Provides:
 ${python3:Provides},
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-skimage,
Provides:
 ${python3:Provides},
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.

=== debian/rules ===
--- 
+++ 
@@ -20,18 +20,14 @@
 export MPLBACKEND := Agg
 
 export PYBUILD_TEST_PYTEST := 1
+# https://bugs.debian.org/1103004
+export PYBUILD_TEST_ARGS := --deselect skimage/graph/tests/test_rag.py::test_reproducibility
 
 # Disable failures on warnings
 export SKIMAGE_TEST_STRICT_WARNINGS := False
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
-
-%-arch:
-	dh $@ --with python3 --buildsystem pybuild
-
-clean:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
@@ -60,11 +56,10 @@
 		SPHINXOPTS="-D mathjax_path=MathJax.js" \
 		$(MAKE) -C doc html
 endif
-	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.rst
+	dh_installdocs -A CONTRIBUTORS.md README.md CONTRIBUTING.rst SECURITY.md TODO.txt CITATION.cff
 
 # Test data and plugin ini not copied to .pybuild -- manually copy them
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	for ver in $(PY3VERS); do \
 		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
 		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
@@ -80,17 +75,15 @@
 override_dh_auto_test-indep:
 	# pass
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# cleanup python3 cache (mixing python3 subversions)
 	-find debian/tmp -name "__pycache__" -exec rm -r {} +
 
 ## remove .so libraries from main package, and call dh_numpy3
-override_dh_python3:
+execute_before_dh_python3:
 	-find debian/python3-skimage/usr/lib -name "*.so" -delete
 
 	dh_numpy3 -ppython3-skimage-lib
-	dh_python3
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:

=== debian/tests/control ===
Tests: python3
Depends: python3-all,
         python3-matplotlib,
         python3-networkx,
         python3-numpydoc,
         python3-pandas,
         python3-pil,
         python3-pooch,
         python3-pytest,
         python3-seaborn,
         python3-skimage,
         python3-tk
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/scikit-image-$1.tar.gz/" \
  https://github.com/scikit-image/scikit-image/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## skimage 0.26.0

=== debian/changelog ===
skimage (0.26.0-3) unstable; urgency=medium

  * Increase tolerance on test_moments for ppc64el

 -- Ole Streicher <olebole@debian.org>  Sat, 31 Jan 2026 16:39:25 +0100

skimage (0.26.0-2) unstable; urgency=medium

  * Re-arrange Debian patches
  * Use myst-parser, pydata-sphinx-theme, libjs-bootstrap5 for docs
  * Simplify d/copyright

 -- Ole Streicher <olebole@debian.org>  Sat, 31 Jan 2026 13:53:43 +0100

skimage (0.26.0-1) unstable; urgency=medium

  * d/watch: switch to version 5
  * New upstream version 0.26.0
  * Rediff patches. Drop patches that are no longer required.
  * Push Standards-Version to 4.7.3, no changes needed
  * Fix tests with pybuild (Closes: #1126154)
  * Rename Gitlab CI config to d/salsa-ci.yml
  * Adjust autopkgtest for new test location

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jan 2026 22:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: skimage
 #                    python3-pydata-sphinx-theme,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Yaroslav Halchenko <debian@onerussian.com>,
  Ole Streicher <olebole@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
@@ -29,9 +28,9 @@
  python3-pooch,
  python3-pytest,
  python3-pytest-doctestplus,
+ python3-pytest-pretty,
  python3-pythran,
  python3-pywt,
- python3-recommonmark,
  python3-scipy,
  python3-seaborn,
  python3-setuptools,
@@ -41,14 +40,17 @@
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-doc,
+ python3-myst-parser,
  python-numpy-doc,
  python-scipy-doc,
  python-sklearn-doc,
  python-matplotlib-doc,
+ python3-pydata-sphinx-theme,
  python3-sklearn,
  python3-sphinx,
  python3-sphinx-copybutton,
  python3-sphinx-design,
+ python3-sphinx-gallery,
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
@@ -84,7 +86,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  libjs-mathjax,
  ${misc:Depends},

=== debian/tests/control ===
Test-Command: MPLBACKEND=Agg SKIMAGE_TEST_STRICT_WARNINGS=False python3 -m pytest tests
Depends:
 python3-all,
 python3-matplotlib,
 python3-networkx,
 python3-numpydoc,
 python3-pandas,
 python3-pil,
 python3-pooch,
 python3-pytest,
 python3-pytest-pretty,
 python3-seaborn,
 python3-skimage,
 python3-tk,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: scikit-image
Project: scikit-image
Version-Type: SEMANTIC_VERSION
